Summary:	The PBKDF2 password hashing algorithm
Name:		perl-Crypt-PBKDF2
Version:	0.161520
Release:    1%{?dist}
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Crypt-PBKDF2
Source0:	https://cpan.metacpan.org/modules/by-module/Crypt/Crypt-PBKDF2-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Digest) >= 1.16
BuildRequires:	perl(Digest::HMAC) >= 1.01
BuildRequires:	perl(Digest::SHA)
BuildRequires:	perl(Digest::SHA3) >= 0.22
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(Module::Runtime)
BuildRequires:	perl(Moo) >= 2
BuildRequires:	perl(Moo::Role) >= 2
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strictures) >= 2
BuildRequires:	perl(Try::Tiny) >= 0.04
BuildRequires:	perl(Type::Tiny)
BuildRequires:	perl(Types::Standard) >= 1.000005
BuildRequires:	perl(constant)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::More)

%description
PBKDF2 is a secure password hashing algorithm that uses the techniques of "key
strengthening" to make the complexity of a brute-force attack arbitrarily high.
PBKDF2 uses any other cryptographic hash or cipher (by convention, usually
HMAC-SHA1, but Crypt::PBKDF2 is fully pluggable), and allows for an arbitrary
number of iterations of the hashing function, and a nearly unlimited output
hash size (up to 2**32-1 times the size of the output of the backend hash).
The hash is salted, as any password hash should be, and the salt may also be of
arbitrary size.

%prep
%setup -q -n Crypt-PBKDF2-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes
%{perl_vendorlib}/Crypt/
%{_mandir}/man3/Crypt::PBKDF2.3*
%{_mandir}/man3/Crypt::PBKDF2::Hash.3*
%{_mandir}/man3/Crypt::PBKDF2::Hash::DigestHMAC.3*
%{_mandir}/man3/Crypt::PBKDF2::Hash::HMACSHA1.3*
%{_mandir}/man3/Crypt::PBKDF2::Hash::HMACSHA2.3*
%{_mandir}/man3/Crypt::PBKDF2::Hash::HMACSHA3.3*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.161520-1
- initial build
